/****************************************************************************
**
** Copyright (C) 2012 Róbert Márki
**
** This file is part of Web Feeds.
**
** Web Feeds is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation, either version 3 of the License, or
** (at your option) any later version.
**
** Web Feeds is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with Web Feeds.  If not, see <http://www.gnu.org/licenses/>.
****************************************************************************/

#include "googlereaderitem.h"

namespace GoogleReader
{
GoogleReaderItem::GoogleReaderItem(PageItemPtr parent, AbstractFeedAggreagatorService *service) :
    PageItem(parent, service),
    m_itemType(GoogleReaderItem::ItUndefinedType),
    m_editingBusy(false)
{
}

GoogleReaderItem::ItemType GoogleReaderItem::itemType() const
{
    return m_itemType;
}

bool GoogleReaderItem::editingBusy() const
{
    return m_editingBusy;
}

void GoogleReaderItem::setEditingBusy(bool busy)
{
    m_editingBusy = busy;
    emit editingBusyChanged();
    emit dataChanged(PageItemWeakRef(this));
}

QString GoogleReaderItem::sortId() const
{
    return m_sortId;
}

void GoogleReaderItem::setSortId(const QString &sortId)
{
    m_sortId = sortId;
}
} // namespace GoogleReader
